com.genesyslab.wfm8.API.service.calendar810

## Class CalSnapshot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class CalSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `snapshotId` Snapshot ID
    `protected long` | `timestamp` Time the snapshot was created
    `protected int` | `totalCalendarItemsCount` Total number of items in the snapshot

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getSnapshotId()` Gets the snapshotId value for this CalSnapshot.
    `long` | `getTimestamp()` Gets the timestamp value for this CalSnapshot.
    `int` | `getTotalCalendarItemsCount()` Gets the totalCalendarItemsCount value for this CalSnapshot.
    `int` | `hashCode()`
    `void` | `setSnapshotId(java.lang.String snapshotId)` Sets the snapshotId value for this CalSnapshot.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CalSnapshot.
    `void` | `setTotalCalendarItemsCount(int totalCalendarItemsCount)` Sets the totalCalendarItemsCount value for this CalSnapshot.
    `java.lang.String` | `toString()`
    `CalSnapshot` | `withSnapshotId(java.lang.String value)`
    `CalSnapshot` | `withTimestamp(long value)`
    `CalSnapshot` | `withTotalCalendarItemsCount(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### snapshotId

          protected java.lang.String snapshotId

      Snapshot ID

    - #### totalCalendarItemsCount

          protected int totalCalendarItemsCount

      Total number of items in the snapshot

    - #### timestamp

          protected long timestamp

      Time the snapshot was created

  - ### Constructor Detail

    - #### CalSnapshot

          public CalSnapshot()

  - ### Method Detail

    - #### getSnapshotId

          public java.lang.String getSnapshotId()

      Gets the snapshotId value for this CalSnapshot.
      Returns:
        snapshotId

    - #### setSnapshotId

          public void setSnapshotId(java.lang.String snapshotId)

      Sets the snapshotId value for this CalSnapshot.
      Parameters:
        `snapshotId` -

    - #### getTotalCalendarItemsCount

          public int getTotalCalendarItemsCount()

      Gets the totalCalendarItemsCount value for this CalSnapshot.
      Returns:
        totalCalendarItemsCount

    - #### setTotalCalendarItemsCount

          public void setTotalCalendarItemsCount(int totalCalendarItemsCount)

      Sets the totalCalendarItemsCount value for this CalSnapshot.
      Parameters:
        `totalCalendarItemsCount` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CalSnapshot.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CalSnapshot.
      Parameters:
        `timestamp` -

    - #### withTotalCalendarItemsCount

          public CalSnapshot withTotalCalendarItemsCount(int value)

    - #### withTimestamp

          public CalSnapshot withTimestamp(long value)

    - #### withSnapshotId

          public CalSnapshot withSnapshotId(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.